For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Get Bulk Source

GET
https://app.polytomic.com/api/connections/:id/bulksync/source
GET
/api/connections/:id/bulksync/source
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/bulksync/source \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "capabilities": {
4 "supports_tracking_fields": true
5 },
6 "schemas": [
7 {
8 "fields": [
9 {
10 "association": {
11 "id": "assoc_01",
12 "name": "Contact to Account",
13 "reference_to": [
14 "account"
15 ],
16 "referenced_field": "account_id"
17 },
18 "id": "email",
19 "is_primary_key": true,
20 "name": "Email",
21 "path": "$.email",
22 "remote_type": "varchar(255)",
23 "type": "string",
24 "user_managed": true,
25 "values": [
26 {
27 "label": "Work Email",
28 "value": "work"
29 },
30 {
31 "label": "Personal Email",
32 "value": "personal"
33 }
34 ]
35 },
36 {
37 "association": null,
38 "id": "first_name",
39 "is_primary_key": false,
40 "name": "First Name",
41 "path": "$.firstName",
42 "remote_type": "varchar(100)",
43 "type": "string",
44 "user_managed": false,
45 "values": []
46 },
47 {
48 "association": null,
49 "id": "created_at",
50 "is_primary_key": false,
51 "name": "Created At",
52 "path": "$.createdAt",
53 "remote_type": "timestamp",
54 "type": "datetime",
55 "user_managed": false,
56 "values": []
57 }
58 ],
59 "id": "contact",
60 "name": "Contact"
61 },
62 {
63 "fields": [
64 {
65 "association": null,
66 "id": "account_id",
67 "is_primary_key": true,
68 "name": "Account ID",
69 "path": "$.id",
70 "remote_type": "uuid",
71 "type": "string",
72 "user_managed": false,
73 "values": []
74 },
75 {
76 "association": null,
77 "id": "account_name",
78 "is_primary_key": false,
79 "name": "Account Name",
80 "path": "$.name",
81 "remote_type": "varchar(255)",
82 "type": "string",
83 "user_managed": false,
84 "values": []
85 }
86 ],
87 "id": "account",
88 "name": "Account"
89 }
90 ]
91 }
92}
Lists the schemas (tables or objects) available on a connection for use as a bulk sync source, optionally including per-schema field details. The response reflects what the connection currently has cached; if the upstream source has changed, trigger a refresh first with [`POST /api/connections/{id}/schemas/refresh`](../../../../../api-reference/schemas/refresh). These are the schemas available for selection, not the schemas already configured on any particular sync. To inspect schemas on a running sync, use [`GET /api/bulk/syncs/{id}/schemas`](../../../../../api-reference/bulk-sync/schemas/list). Pass `include_fields=true` to receive per-schema field details in a single call. Omit it when you only need the schema list, as field enumeration can be slow for large sources.
Was this page helpful?
Previous

Get Bulk Destination

Next

Lists the schemas (tables or objects) available on a connection for use as a bulk sync source, optionally including per-schema field details.

The response reflects what the connection currently has cached; if the upstream source has changed, trigger a refresh first with POST /api/connections/{id}/schemas/refresh.

These are the schemas available for selection, not the schemas already configured on any particular sync. To inspect schemas on a running sync, use GET /api/bulk/syncs/{id}/schemas.

Pass include_fields=true to receive per-schema field details in a single call. Omit it when you only need the schema list, as field enumeration can be slow for large sources.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection.

Headers

X-Polytomic-VersionstringRequired

Query parameters

include_fieldsbooleanOptionalDefaults to true

When true, include per-schema field lists in the response. Set to false for a smaller payload when field details are not needed.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error